<template>
  <div class="ready-mode container">
    <div class="ready-mode__wrap">
      <div class="ready-mode__img img">
        <img
          src="../../assets/img/hub/launch-otc.svg"
          width="513"
          height="404"
        />
      </div>
      <div class="ready-mode__content content">
        <p class="content__title">{{ $t('launch') }}</p>
        <p class="content__text">
          {{ $t('launchText') }}
        </p>
        <base-button>
          {{ $t('discoverBtn') }}
        </base-button>
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "launch": "Launch of an OTC Exchange",
    "launchText": "With TBCC, you can start a new crypto business or expand an existing one. We offer a range of OTC Exchange dealer packages suited for different types of companies.",
    "discoverBtn": "Discover Plans"
  },
  "ch": {
    "launch": "启动一个场外交易市场",
    "launchText": "通过TBCC，您可以开始一个新的加密货币业务或扩大现有业务。我们提供一系列适合不同类型公司的场外交易商套餐。",
    "discoverBtn": "Discover Plans"
  },
  "tur": {
    "launch": "Launch of an OTC Exchange",
    "launchText": "With TBCC, you can start a new crypto business or expand an existing one. We offer a range of OTC Exchange dealer packages suited for different types of companies.",
    "discoverBtn": "Discover Plans"
  }
}
</i18n>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  methods: {
    ...mapActions({
      toggleShowFeedbackForm: 'toggleShowFeedbackForm',
    }),
  },
}
</script>

<style lang="scss" scoped>
.ready-mode {
  display: flex;
  flex-direction: column;
  align-items: center;

  .ready-mode__wrap {
    width: 100%;
    display: flex;
    align-items: center;
    padding-top: 15px;

    @media (max-width: 767px) {
      flex-direction: column;
    }
  }

  &__img,
  &__content {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}

.content {
  padding-left: 15px;

  @media (max-width: 767px) {
    display: flex;
    align-items: center;
    flex-direction: column;
  }

  &__title {
    font-weight: 500;
    font-size: 24px;
    line-height: 125%;
    max-width: 325px;
    color: #ffffff;
    margin: 0 0 30px;

    @media (max-width: 767px) {
      text-align: center;
    }

    @media (min-width: 768px) {
      font-size: 30px;
    }

    @media (min-width: 1024px) {
      font-size: 36px;
    }
  }

  &__text {
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    margin: 0 0 40px;
    max-width: 440px;

    @media (max-width: 767px) {
      text-align: center;
      max-width: 306px;
      margin: 0 0 30px;
    }

    @media (min-width: 1024px) {
      font-size: 18px;
      line-height: 28px;
    }
  }

  button {
    background: #051345;
    padding: 19px 24px;
  }
}

.img {
  img {
    position: relative;
    top: -50px;
    right: 20px;
    width: 100%;
    height: 100%;
    max-width: 513px;
    max-height: 404px;

    @media (max-width: 767px) {
      right: 10px;
    }

    @media (min-width: 1024px) {
      width: 513px;
      height: 404px;
    }
  }
}
</style>
